# Machine Selection
#
# You need to select a specific machine/distro to target the build with.
#
MACHINE ?= "t1g"
DISTRO ?= "kyanite-headless"

## ----------------------------------------------------------------------------

# These are other options that specifically setup our build targets
PACKAGE_CLASSES ?= "package_rpm"
#EXTRA_IMAGE_FEATURES ?= "debug-tweaks"

## ----------------------------------------------------------------------------

# These options just generally help the build run smoothly
USER_CLASSES ?= "buildstats image-mklibs image-prelink"
OE_TERMINAL = "xterm"
PATCHRESOLVE = "noop"
HOSTTOOLS_append = " x86_64-linux-gnu-gcc"

BB_DISKMON_DIRS ??= "\
    STOPTASKS,${TMPDIR},1G,100K \
    STOPTASKS,${DL_DIR},1G,100K \
    STOPTASKS,${SSTATE_DIR},1G,100K \
    STOPTASKS,/tmp,100M,100K \
    ABORT,${TMPDIR},100M,1K \
    ABORT,${DL_DIR},100M,1K \
    ABORT,${SSTATE_DIR},100M,1K \
    ABORT,/tmp,10M,1K"

## ----------------------------------------------------------------------------

# These options tell BitBake where to put things
DL_DIR = "${TOPDIR}/../../yocto-downloads"
SSTATE_DIR = "${TOPDIR}/../../yocto-sstate"

## ----------------------------------------------------------------------------

# CONF_VERSION is increased each time build/conf/ changes incompatibly
CONF_VERSION = "1"
